## org.apache.axis.encoding
Class DefaultSOAP12TypeMappingImpl

    java.lang.Object
      |
      +--org.apache.axis.encoding.TypeMappingImpl
            |
            +--org.apache.axis.encoding.DefaultTypeMappingImpl
                  |
                  +--org.apache.axis.encoding.DefaultSOAPEncodingTypeMappingImpl
                        |
                        +--org.apache.axis.encoding.DefaultSOAP12TypeMappingImpl

All Implemented Interfaces:
  TypeMapping, TypeMapping

Deprecated. Please use DefaultSOAPEncodingTypeMappingImpl.java

public class DefaultSOAP12TypeMappingImpl
extends DefaultSOAPEncodingTypeMappingImpl

Author:
  James M Snell <jasnell@us.ibm.com>
See Also:
  `DefaultSOAPEncodingTypeMappingImpl`

Nested Class Summary

Nested classes inherited from class org.apache.axis.encoding.TypeMappingImpl
`TypeMappingImpl.Pair`

Field Summary

Fields inherited from class org.apache.axis.encoding.TypeMappingImpl
`delegate, log`

Constructor Summary
`DefaultSOAP12TypeMappingImpl()` Deprecated.

Methods inherited from class org.apache.axis.encoding.DefaultSOAPEncodingTypeMappingImpl
`create`

Methods inherited from class org.apache.axis.encoding.DefaultTypeMappingImpl
`getSingleton, myRegister, myRegisterSimple, register, removeDeserializer, removeSerializer, setSupportedEncodings`

Methods inherited from class org.apache.axis.encoding.TypeMappingImpl
`getAllClasses, getClassForQName, getDelegate, getDeserializer, getDeserializer, getSerializer, getSerializer, getSupportedEncodings, getTypeQName, getTypeQNameRecursive, getXMLType, internalRegister, isRegistered, setDelegate, setDoAutoTypes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultSOAP12TypeMappingImpl

    public DefaultSOAP12TypeMappingImpl()

  Deprecated.

Copyright © 2003 Apache Web Services Project. All Rights Reserved.